Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Class StricterArgumentCompleter

- org.codehaus.groovy.tools.shell.completion.StricterArgumentCompleter

- This fixes strict jline 2.12 ArgumentCompleter See https://github.com/jline/jline2/pull/202

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StricterArgumentCompleter (List<Completer> completers)` Create a new completer with the default jline.console.completer.ArgumentCompleter.WhitespaceArgumentDelimiter.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `complete(String buffer, int cursor, List<CharSequence> candidates)`

- - ### Constructor Detail

    - #### StricterArgumentCompleter(List<Completer> completers)

      Create a new completer with the default jline.console.completer.ArgumentCompleter.WhitespaceArgumentDelimiter.

      Parameters:
        `completers` - The embedded completers

  - ### Method Detail

    - #### int complete(String buffer, int cursor, List<CharSequence> candidates)